GRAPH(1G)

NAME
graph - draw a graph

SYNOPSIS
graph [ -a spacing [ start ]] [ -b ] [ -c string ]
[ -g gridstyle ] [ -l label ] [ -m connectmode ]
[ -s ] [ -x [ l ] lower [ upper [ spacing ]]]
[ -y [ l ] lower [ upper [ spacing ]]]
[ -h fraction ] [ -w fraction ] [ -r fraction ]
[ -u fraction ] [ -t ] ...

DESCRIPTION
graph with no options takes pairs of numbers from the standard input as abscissaes and ordinates of a graph. Successive points are connected by straight lines. The standard output from graph contains plotting instructions (see plot(5)) suitable for input to plot(1G) or to the command lpr -g (see lpr(1)).

If the coordinates of a point are followed by a nonnumeric string, that string is printed as a label beginning on the point. Labels may be surrounded with quotes "...", in which case they may be empty or contain blanks and numbers; labels never contain NEWLINE characters.

A legend indicating grid range is produced with a grid unless the -s option is present.

OPTIONS

Each option is recognized as a separate argument. If a specified lower limit exceeds the upper limit, the axis is reversed.

-a spacing[ start ]
    Supply abscissaes automatically (they are missing from the input); spacing is the spacing (default 1). start is the starting point for automatic abscissaes (default 0 or lower limit given by -x).

-b  Break (disconnect) the graph after each label in the input.

-c string
    String is the default label for each point.

-g gridstyle
    Gridstyle is the grid style: 0 no grid, 1 frame with ticks, 2 full grid (default).

-l  label is label for graph.

-m connectmode
    Mode (style) of connecting lines: 0 disconnected, 1 connected (default). Some devices give distinguishable line styles for other small integers.

-s  Save screen, do not erase before plotting.

-x [ l ] lower [ upper [ spacing ] ]
If l is present, x axis is logarithmic. lower and upper are lower (and upper) x limits. spacing, if present, is grid spacing on x axis. Normally these quantities are determined automatically.

-y [ l ] lower [ upper [ spacing ] ]
If l is present, y axis is logarithmic. lower and upper are lower (and upper) y limits. spacing, if present, is grid spacing on y axis. Normally these quantities are determined automatically.

-h fraction
    fraction of space for height.

-w fraction
    fraction of space for width.

-r fraction
    fraction of space to move right before plotting.

-u fraction
    fraction of space to move up before plotting.

-t  Transpose horizontal and vertical axes. Option -x now applies to the vertical axis.

SEE ALSO
lpr(1), plot(1G), spline(1G)

BUGS

graph stores all points internally and drops those for which there is no room.

Segments that run out of bounds are dropped, not windowed.

Logarithmic axes may not be reversed.